﻿using System;
using System.Collections.Generic;
using System.ComponentModel.DataAnnotations;
using System.Linq;
using System.Web;
using System.Web.Mvc;

namespace EJ2WebApplication.Controllers
{

    public class DateRange
    {

        [NoDateRangeValue("rangevalue", ErrorMessage = "Please enter the date range value")]
        public DateTime? rangevalue { get; set; }

        public string dropdownValue { get; set; }


    }

    public class NoDateRangeValueAttribute : ValidationAttribute
    {
        public NoDateRangeValueAttribute(string comparisonProperty)
        {

        }

        protected override ValidationResult IsValid(object value, ValidationContext validationContext)
        {
            ErrorMessage = ErrorMessageString;
            var currentValue = value;

            if (currentValue != null)
                return new ValidationResult(ErrorMessage);

            return ValidationResult.Success;
        }
    }
    public class HomeController : Controller
    {

        DateRange DateRangeValue = new DateRange();
        public ActionResult Index()
        {
            return View();
        }

        [HttpPost]
        public ActionResult Index(DateRange model)
        {
            
            return View();
        }

        public ActionResult About()
        {
            ViewBag.Message = "Your application description page.";

            return View();
        }

        public ActionResult Contact()
        {
            ViewBag.Message = "Your contact page.";

            return View();
        }
    }
}